management:
  health.db.enabled: false
  endpoint:
    chaosmonkey:
      enabled: false
    health:
      show-details: never
  security:
    enabled: false
  endpoints:    
    web:
      base-path: /
      exposure:
        include: "*"

server:
  port: 8080
  servlet:
    context-path: /api/sir/users
  compression:
    enabled: true
    min-response-size: 2048
    mime-types: application/json,application/xml,text/html,text/xml,text/plain    

jetty:
  threadPool:
    maxThreads: 10
    minThreads: 10
    
spring:
  flyway:
    locations: classpath:db/migration
    sql-migration-prefix: V
    repeatable-sql-migration-prefix: R
    sql-migration-separator: __
    sql-migration-suffixes: .sql
  datasource:
    url: ${integration-mysql.url}
    username: users
    password: test
    driverClassName: com.mysql.cj.jdbc.Driver
    test-on-borrow: true
    test-while-idle: true
    validation-query: select 1;
    maxActive: 100
  jpa:
    show-sql: true
    generate-ddl: false    
    properties:    
      hibernate:
        ejb.naming_strategy: org.hibernate.cfg.ImprovedNamingStrategy                
        dialect: org.hibernate.dialect.MySQLDialect
        hbm2ddl.auto: validate

chaos:
  monkey:
    assaults:
      level: 8
      latencyRangeStart: 1000
      latencyRangeEnd: 10000
      exceptionsActive: false
      killApplicationActive: false
    watcher:
      controller: false
      repository: true
      restController: true
      service: false
      component: false